Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 22983004: [CSS Grid Layout] Speed up content sized track layout (Closed)

Created:
6 years, 4 months ago by Julien - ping for review
Modified:
6 years, 4 months ago
Reviewers:
ojan
CC:
blink-reviews, dglazkov+blink, eae+blinkwatch, leviw+renderwatch, jchaffraix+rendering, ojan, esprehn
Visibility:
Public.

Description

[CSS Grid Layout] Speed up content sized track layout This change narrows down the relayout condition in RenderGrid::logicalContentHeightForChild to only percentage children: as they are the only lengths that depends on the containing block's override. We unfortunately can't use percentHeightDescendants as it's not populated yet. This code can probably be simplified further down but it's a good start. This greatly speeds up the new performance test, moving from 25 runs/sec to 91 runs/sec. BUG=234211 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=156122

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+2039 lines, -6 lines) Patch
A PerformanceTests/Layout/auto-grid-lots-of-data.html View 1 chunk +2037 lines, -0 lines 0 comments Download
M Source/core/rendering/RenderGrid.cpp View 1 chunk +2 lines, -6 lines 2 comments Download

Messages

Total messages: 6 (0 generated)
Julien - ping for review
6 years, 4 months ago (2013-08-13 16:47:44 UTC) #1
ojan
https://codereview.chromium.org/22983004/diff/1/Source/core/rendering/RenderGrid.cpp File Source/core/rendering/RenderGrid.cpp (right): https://codereview.chromium.org/22983004/diff/1/Source/core/rendering/RenderGrid.cpp#newcode512 Source/core/rendering/RenderGrid.cpp:512: if (child->style()->logicalHeight().isPercent()) What if it's position:absolute; top:0; bottom: 0? ...
6 years, 4 months ago (2013-08-13 17:22:21 UTC) #2
Julien - ping for review
https://codereview.chromium.org/22983004/diff/1/Source/core/rendering/RenderGrid.cpp File Source/core/rendering/RenderGrid.cpp (right): https://codereview.chromium.org/22983004/diff/1/Source/core/rendering/RenderGrid.cpp#newcode512 Source/core/rendering/RenderGrid.cpp:512: if (child->style()->logicalHeight().isPercent()) On 2013/08/13 17:22:21, ojan wrote: > What ...
6 years, 4 months ago (2013-08-13 18:45:42 UTC) #3
ojan
lgtm
6 years, 4 months ago (2013-08-14 21:56:34 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/jchaffraix@chromium.org/22983004/1
6 years, 4 months ago (2013-08-14 21:56:49 UTC) #5
commit-bot: I haz the power
6 years, 4 months ago (2013-08-14 23:21:12 UTC) #6
Message was sent while issue was closed.
Change committed as 156122

Powered by Google App Engine
This is Rietveld 408576698